Module java.desktop
Package javax.print

## Interface FlavorException

-     public interface FlavorException

  Interface FlavorException is a mixin interface which a subclass of `PrintException` can implement to report an error condition involving a doc flavor or flavors (class `DocFlavor`). The Print Service API does not define any print exception classes that implement interface FlavorException, that being left to the Print Service implementor's discretion.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DocFlavor[]` | `getUnsupportedFlavors​()` | Returns the unsupported flavors.

- - ### Method Detail

    - #### getUnsupportedFlavors

          DocFlavor[] getUnsupportedFlavors​()

      Returns the unsupported flavors.
      Returns:
        the unsupported doc flavors.